# ohai – Returns inventory data from Ohai

- Synopsis
- Requirements
- Examples
- Status

## Synopsis

- Similar to the facter module, this runs the Ohai discovery program (https://docs.chef.io/ohai.html) on the remote host and returns JSON inventory data. Ohai data is a bit more verbose and nested than facter.

## Requirements

The below requirements are needed on the host that executes this module.

- ohai

## Examples

    # Retrieve (ohai) data from all Web servers and store in one-file per host
    ansible webservers -m ohai --tree=/tmp/ohaidata

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Ansible Core Team
- Michael DeHaan (@mpdehaan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.